Update a network
Only the fields sent change. A base network’s name and filters cannot change; its CPOs and access settings can.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
network_id
The network’s network_id.
Request
This endpoint expects an object.
name
description
cpo_ids
publicly_accessible
auto_accept_cpo_additions
countries
power_types
parking_types
facilities
Response
The network after the update.
network_id
name
network_type
published
publish_state
organization_id
emp_identity_id
cpo_ids
protocol
publicly_accessible
auto_accept_cpo_additions
created_at
updated_at
unpublish_started_at
unpublish_drain_until
description
parent_network_id
countries
power_types
parking_types
facilities
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error